<?php
if (strtolower($setting["cache"]) == "yes") {
if ($_GET['view'] == "logout" or $_GET['view'] == "login" or $_GET['view'] == "register" or $_GET['view'] == "login2" or $_GET['view'] == "edit_profile2" or $_GET['view'] == "edit_profile" or $_GET['view'] == "af_apply2" or $_GET['view'] == "af_apply" or $_GET['view'] == "af_click" or $_GET['view'] == "submit_article" or $_GET['view'] == "submit_article2" or $_GET['view'] == "submit_article3" or $_GET['view'] == "polls" or $_GET['view'] == "trackback" or $_GET['view'] == "article" or $_GET['view'] == "register2" or $_GET['view'] == "rss" or $_GET['view'] == "re-direct" or $_GET['view'] == "gallery_zip" or $_GET['view'] == "search") {
} else {
$cachefile = "cache/".sha1(md5("http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'])).".cache";

$cachefile_created = (@file_exists($cachefile)) ? @filemtime($cachefile) : 0;
@clearstatcache();

if (time() - "1800" < $cachefile_created) {
@readfile($cachefile);
eval (" ?> ".stripslashes(layout("footer"))." <?php ");
exit();
}
ob_start();
}
}
?>